PDA

View Full Version : Parallels 2.2 install help



zapyourit
24th November 2007, 08:12 AM
I need help getting parallels 2.2 on my laptop. Nothing has worked (other forums help, parallels user guide etc). I keep getting the message that it cannot find the fc8 kernel. Any ideas on what the problem might be?

Thanks a lot,
Matt

Seve
24th November 2007, 08:43 AM
Hello:
I am not on 32bit at the moment to try, but do you have
kernel-devel kernel-headers installed ?
rpm -aq | grep kernel
to check
and
yum install kernel-devel kernel-headers
to install

Seve

zapyourit
24th November 2007, 08:43 AM
In terminal, when I try to run VirtualBox, this is the message that I get:


WARNING: The vboxdrv kernel module is not loaded. Either there is no module
available for the current kernel (2.6.23.1-49.fc8) or it failed to
load. Please recompile the kernel module and install it by

sudo /etc/init.d/vboxdrv setup

You will not be able to start VMs until this problem is fixed.
WARNING: The compilation of the vboxdrv.ko kernel module failed during the
installation for some reason. Starting a VM will not be possible.
Please consult the User Manual for build instructions.



I tried
sudo /etc/init.d/vboxdrv setup and the Im told to check the install log to find out what went wrong. I go there, and I see


Makefile:68: *** Error: unable to find the sources of your current Linux kernel. Specify KERN_DIR=<directory> and run Make again.. Stop.

At this point I'm lost. Can anyody help out at this point?

Thanks,
Matt

Seve
24th November 2007, 08:46 AM
Hello:
See above:
yum install kernel-devel kernel-headers

Seve

zapyourit
24th November 2007, 09:00 AM
I tried checking everything like you said and it returns


[matt@localhost ~]$ rpm -aq | grep kernel
kernel-2.6.23.1-42.fc8
kernel-devel-2.6.24-0.39.rc3.git1.fc9
kernel-headers-2.6.23.1-49.fc8
kernel-xen-2.6.21-2950.fc8
kernel-2.6.23.1-49.fc8

yet parallels still does not work. Any ideas??

Thanks,
Matt

Seve
24th November 2007, 09:08 AM
Hello:
I'm not sure what you have done ?
Hopefully you are not running the xen kernel at this point as it is for virtualization. You also have a Rawhide kernel installed as well, ---> kernel-devel-2.6.24-0.39.rc3.git1.fc9 ?

You have to have a matching kernel, kernel-devel and kernel-headers installed.
For example:
kernel-2.6.23.1-49.fc8
kernel-devel-2.6.23.1-49.fc8
kernel-headers-2.6.23.1-49.fc8

Make sure that you have all of the above installed and then boot from the kernel-2.6.23.1-49.fc8 and try it again.

Seve